List Workflows

List Workflows

List workflows

Request
URI
GET
https://{api_host}/tca/swfe/workflows/api/v1/orgs/{orgId}/workflows
COPY
Path Parameters
string
orgId
Required

orgId

Query Parameters
string
nextpage_opaque_marker
Optional

nextpage_opaque_marker

string
draft
Optional

draft

string
workflowId
Optional

workflowId

string
version
Optional

version

string
prebuilt
Optional

prebuilt

string
name
Optional

name

string
workflowIdLike
Optional

workflowIdLike

string
versionLike
Optional

versionLike

string
nameLike
Optional

nameLike

string
labelSelector
Optional

labelSelector

string
labelOperator
Optional

labelOperator

Possible values are : IN, NIN, EQ,

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns WorkflowapiListWorkflowsResponse of type(s) application/json
{
    "workflows": [
        {
            "annotations": [
                "string"
            ],
            "createdBy": "string",
            "creationtime": "string",
            "description": "string",
            "draft": "string",
            "id": 0,
            "jsonSchemaId": 0,
            "lastupdated": "string",
            "name": "string",
            "organizationId": "string",
            "resourceVersion": 0,
            "source": "string",
            "updatedBy": "string",
            "version": "string",
            "workflowId": "string"
        }
    ]
}
workflows
Optional

workflows

Response Headers

integer
Total-Row-Count

undefined


400

Bad Request

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.


403

Forbidden

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.


500

Internal Server Error

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.